package DB;
final public class ColumnDataHolder
	implements org.omg.CORBA.portable.Streamable
{
	public ColumnData value;

	public ColumnDataHolder ()
	{
	}
	public ColumnDataHolder (ColumnData initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return ColumnDataHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = ColumnDataHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		ColumnDataHelper.write(out, value);
	}
}
